<?php
	if ( ! defined( 'ABSPATH' ) ) exit; /* Prevent direct access */


	require_once(IFSO_PLUGIN_BASE_DIR . 'services/plugin-settings-service/plugin-settings-service.class.php');

	use IfSo\Services\PluginSettingsService;

	$settingsServiceInstance
	    = PluginSettingsService\PluginSettingsService::get_instance();

	$pagesVisitedOption = 
		$settingsServiceInstance->pagesVisitedOption->get();
	$durationValue = $pagesVisitedOption->get_duration_value();
	$durationType = $pagesVisitedOption->get_duration_type();

	$removePluginDataOption = 
		$settingsServiceInstance->removePluginDataOption->get();

	$applyTheContentFilterOption = 
		$settingsServiceInstance->applyTheContentFilterOption->get();

	$removeAutoPTagOption = 
		$settingsServiceInstance->removeAutoPTagOption->get();

	$removePageVisitsCookie =
		$settingsServiceInstance->removePageVisitsCookie->get();

	$allowFragmentedCacheOption = 
		$settingsServiceInstance->allowFragmentedCacheOption->get();

	$allowShortcodesInTitle = 
		$settingsServiceInstance->allowShortcodesInTitle->get();

	$disableCache = 
		$settingsServiceInstance->disableCache->get();

	$ajaxAnalytics = $settingsServiceInstance->ajaxAnalytics->get();

	$disableAnalytics = $settingsServiceInstance->disableAnalytics->get();

	$userGroupLimit = $settingsServiceInstance->userGroupLimit->get();

	$groupsCookieLifespan = $settingsServiceInstance->groupsCookieLifespan->get();
?>

<div class="wrap">
	<h2>
		<?php _e('If-So Dynamic Content | Settings', 'if-so'); ?>
	</h2>

	<div class="ifso-settings-page-wrapper">

		<form method="post" action="options.php" class="ifso-settings-form">

			<table class="form-table ifso-settings-tbl">
				<tbody>
					<tr class="ifso-settings-title" valign="top">
						<th class="ifso-settings-td" scope="row" valign="top">
							<?php _e('GENERAL', 'if-so'); ?>
						</th>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Allow shortcodes in titles', 'if-so'); ?></b>
						</td>
						<td valign="baseline" style="vertical-align:baseline;">
							<input
								type="checkbox"
								<?php echo ($allowShortcodesInTitle ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_allow_shortcodes"
								type="text"
								class="ifso_settings_page_option"
								value="allow_shortcodes" /><i><?php _e('Check this box to allow shortcode usage in pages and post titles.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="top">
							<b><?php _e('Apply “the_content” filter', 'if-so'); ?></b>
						</td>
						<td>
							<input
								type="checkbox"
								<?php echo ($applyTheContentFilterOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_apply_the_content_filter"
								type="text"
								class="ifso_settings_page_option"
								value="apply_the_content_filter" />
							<i><?php _e('Check this box if you are using a third party content editor and encounter bugs.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Remove wrapping Paragraph Tags', 'if-so'); ?></b>
						</td>
						<td valign="baseline" style="vertical-align:baseline;">
							<input
								type="checkbox"
								<?php echo ($removeAutoPTagOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_remove_auto_p_tag"
								type="text"
								class="ifso_settings_page_option"
								value="remove_auto_p_tag" /><i><?php _e('Check this box to prevent WordPress from wrapping If-So shortcodes with &lt;p&gt; tags.', 'if-so'); ?></i>
						</td>
					</tr>

					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Remove data on uninstall', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input 
								type="checkbox"
								<?php echo ($removePluginDataOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_remove_data_uninstall"
								type="text"
								class="ifso_settings_page_option"
								value="remove_data_on_uninstall" />
								<i><?php _e('When unchecked, you can delete If-So while keeping all of your triggers and settings for future usage.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr class="ifso-settings-title" valign="top">
						<th class="ifso-settings-td" scope="row" valign="top">
							<?php _e('ANALYTICS', 'if-so'); ?>
						</th>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Disable analytics', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input
								type="checkbox"
								<?php echo ($disableAnalytics ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_analytics_disabled"
								type="text"
								class="ifso_settings_page_option"
								value="analytics_disabled" />
							<i><?php _e('Check this box to disable statistic collection', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Use Ajax for analytics calls', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input
								type="checkbox"
								<?php echo ($ajaxAnalytics ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_analytics_with_ajax"
								type="text"
								class="ifso_settings_page_option"
								value="analytics_with_ajax" />
							<i><?php _e('When the box is checked data collection will be performed using Ajax. Uncheck the box to perform collection during the rendering of the page.<br> Do not uncheck this box if you are using the Gutenberg editor.', 'if-so'); ?> <a href="https://www.if-so.com/help/documentation/analytics/?utm_source=Plugin&utm_medium=settings&utm_campaign=analyticsAjax-learnMore#anc_ajax-vs-rendering" target="_blank"><?php _e('Learn more', 'if-so');?></a></i>
						</td>
					</tr>
					<tr valign="top">
						<td  class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Reset all analytics data', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<i>
								<a class="resetAllAnalyticsCounters" href="javascript:resetAllAnalyticsDataAction();"><?php _e('Click here'); ?></a>
								<?php _e("to reset all of If-So's analytics data", 'if-so'); ?>
							</i>

						</td>
					</tr>
					<tr class="ifso-settings-title" valign="top">
						<th class="ifso-settings-td" scope="row" valign="top">
							<?php _e('PAGES VISITED CONDITION', 'if-so'); ?>
						</th>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Deactivate "Pages Visited" Cookie', 'if-so'); ?></b>
						</td>
						<td valign="baseline" style="vertical-align:baseline;">
							<input
								type="checkbox"
								<?php echo ($removePageVisitsCookie ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_remove_visits_cookie"
								type="text"
								class="ifso_settings_page_option"
								value="remove_visits_cookie" /><i><?php _e('The “Pages Visited” condition relies on this cookie. Check this box if you are not using or planning to use the condition.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('“Pages visited” tracking time', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input
								name="ifso_settings_pages_visited_value"
								type="text"
								class="ifso_settings_page_option ifso_setting_page_option_number_select"
								value="<?php echo $durationValue ?>" />
							<select name="ifso_settings_pages_visited_type">
								<option value="minutes" <?php echo ($durationType == "minutes" ? "SELECTED" : ""); ?>>
									<?php _e('Minutes', 'if-so'); ?>
								</option>
								<option value="hours" <?php echo ($durationType == "hours" ? "SELECTED" : ""); ?>>
									<?php _e('Hours', 'if-so'); ?>
								</option>
								<option value="days" <?php echo ($durationType == "days" ? "SELECTED" : ""); ?>>
									<?php _e('Days', 'if-so'); ?>
								</option>
								<option value="weeks" <?php echo ($durationType == "weeks" ? "SELECTED" : ""); ?>>
									<?php _e('Weeks', 'if-so'); ?>
								</option>
								<option value="months" <?php echo ($durationType == "months" ? "SELECTED" : ""); ?>>
									<?php _e('Months', 'if-so'); ?>
								</option>
							</select>

							<i><?php _e("The lifespan of the 'Pages Visited' condition cookie. Dynamic content will be displayed if a visitor has previously visited the selected pages in this time period.", 'if-so'); ?></i>
						</td>
					</tr>
					<!--<tr style="display:none" valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Disable Cache On...', 'if-so'); ?></b>
						</td>
						<td valign="baseline" style="vertical-align:baseline;">
							<input 
								type="checkbox"
								<?php echo ($disableCache ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_disable_cache"
								type="text"
								class="ifso_settings_page_option"
								value="disable_cache" /><i><?php _e('Check this box to disable cache on...', 'if-so'); ?></i>
						</td>
					</tr>

					 <tr valign="baseline">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Allow fragmented cache');?></b>
						</td>
						<td valign="baseline" style="vertical-align:baseline;">
							<input 
								type="checkbox"
								<?php echo ($allowFragmentedCacheOption ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_allow_fragmented_cache"
								type="text"
								class="ifso_settings_page_option"
								value="allow_fragmented_cache" /><?php _e('FILL BY ASAF'); ?>
						</td>
					</tr> -->


					<tr class="ifso-settings-title" valign="top">
						<th class="ifso-settings-td" scope="row" valign="top">
							<?php _e('GROUPS', 'if-so'); ?>
						</th>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Max. Groups per user', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input
								type="number"
								name="ifso_settings_pages_user_group_limit"
								class="ifso_settings_page_option"
								value="<?php echo $userGroupLimit; ?>" />
							<i><?php _e('The maximum number of groups a user can belong to. Adding a user to a group beyond this limit will remove them from the earliest group they were added to.', 'if-so'); ?></i>
						</td>
					</tr>
					<tr valign="top">
						<td class="ifso-settings-td" scope="row" valign="baseline">
							<b><?php _e('Groups cookie lifespan', 'if-so'); ?></b>
						</td>
						<td valign="baseline">
							<input
								<?php echo ($ajaxAnalytics ? "CHECKED" : ""); ?>
								name="ifso_settings_pages_groups_cookie_lifespan"
								type="number"
								class="ifso_settings_page_option"
								value="<?php echo $groupsCookieLifespan; ?>" /><span> Days.</span>
							<i><?php _e('The lifespan of the cookie responsible for associating the user with groups. The lifespan resets every time the user is added or removed from a group.','if-so'); ?></i>
						</td>
					</tr>



					<tr valign="top">
						<td>
							<?php
								wp_nonce_field( 
									'ifso_settings_nonce',
									'ifso_settings_nonce' 
								);
							?>
							<input
								type="submit"
								class="button-primary"
								name="ifso_settings_page_update"
								value="<?php _e('Save', 'if-so'); ?>"/>
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>
</div>